Subject: [Sip] ACK response

From: "Mahesh" <[email-masked]>
Date: Mon, 2 Mar 2009 11:40:34 +0530

Hi All,
what will happen if caller din't get ACK.whats the behaviour of caller.

Regards
Mahesh

---

From: Neelakantan Balasubramanian <[email-masked]>
Date: Mon, 2 Mar 2009 10:09:49 -0800

Please read RFC 3261.  The caller generates INVITE.  The caller on receipt of final response, generates ACK.

Please direct questions like this on SIP implementers list [email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Mahesh
> Sent: Monday, March 02, 2009 12:11 AM
> To: [email-masked]
> Subject: [Sip] ACK response
>
> Hi All,
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

---

From: "Dale Worley" <[email-masked]>
Date: Mon, 02 Mar 2009 16:17:02 -0500

> what will happen if caller din't get ACK.whats the behaviour of caller.

See RFC 3261 section 17.2.1, especially figure 7.  If the UAS does not
receive an ACK, it re-sends the final response to the INVITE.  If Timer
H fires before an ACK arrives, the UAS deletes the dialog.

Dale